Subject: models: non-directory entries

From: Hallvard B Furuseth <[email-masked]>
Date: Tue, 29 Mar 2005 04:40:36 +0200

This is probably too late unless it can be fixed with a minor edit, but:

I hadn't caught on to the existence of entries that are not directory
entries.  Should [Models] clarify that these exist?

We recently had this exchange on [email-masked]:

   Kurt D. Zeilenga writes:
   >At 02:56 AM 3/27/2005, Hallvard B Furuseth wrote:
   >>Howard Chu writes:
   >>> Remember that DN syntax allows for zero-length values, and a
   >>> zero-length DN does not correspond to any valid directory
   >>> user/entry.
   >>
   >>It is the DN of a directory entry: the root DSE,
   >
   > While the root DSE is a DSE (DSA-specific entry), its
   > not a directory entry, e.g. an entry in the directory
   > information tree (represented in the DSA as a entry DSE).
   > Be careful of what kind of entry you refer to.

[Models] says:
> 2. Model of Directory User Information
>
>  A directory entry, a named collection of information, is the basic
>  unit of information held in the Directory.  There are multiple kinds
>  of directory entries.
>
>  An object entry represents a particular object.  An alias entry
>  provides alternative naming.  A subentry holds administrative and/or
>  operational information.

In retrospect I suppose that means directory entries are user
information, while being listed in Section 5 (DSA (Server) Informational
Model) implies that the root DSE is not.  But this is not clear from the
draft.  I'm also wondering if the requirements of directory entries
listed in Section 2, such as to have one structural object class, apply
to non-directory entries.

-- 
Hallvard